using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms.Xaml;

namespace InABox.Mobile
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class BaseMobileView
    {
        protected BaseMobileView()
        {
            InitializeComponent();
        }

        object _oldcontext = null;
        private void BaseMobileView_OnBindingContextChanged(object sender, EventArgs e)
        {
            if (BindingContext != _oldcontext)
            {
                _oldcontext = BindingContext;
                DoBindingContextChanged();
            }
        }

        protected virtual void DoBindingContextChanged()
        {
            
        }
    }
}